package com.atlassian.confluence.jspwiki;

import com.atlassian.confluence.importexport.impl.ConfluenceLocalSessionFactoryBeanForBackup;
import net.sf.hibernate.HibernateException;
import net.sf.hibernate.cfg.Configuration;
import org.springframework.core.io.Resource;

public class JspWikiLocalSessionFactory extends ConfluenceLocalSessionFactoryBeanForBackup
{
    public Configuration newConfiguration() throws HibernateException
    {
        Configuration config = new Configuration();

        // Set this to null JIC there is a value held, which the LocalSessionFactoryBean will
        // use to init the config
        setConfigLocation((Resource) null);
        super.setMappingResources(getMappingResources().getMappingsAsArray());

        return config;
    }
}
